function [] = performance(filename)	
  %format: trialCurr, style, brush, task, choice
  %style (0: opaque, 1:semi_transparent, 2: bump, 3: cartoon)
  %task (1= predicted, 0= compensated)
  %response (1 or 2): 2 if predicted, 1 if compensated

    data = dlmread(filename,',',0,0);

    sData = size(data);
    dSize = sData(1)
    
    accum = zeros(4,2);
    nbHits = zeros(4,2);
    accumTot = zeros(2);
    nbHitsTot = zeros(2);
    for(i=1:dSize)
       style = data(i,2);
       task = data(i,4);
	response = data(i,5);
       
	if(((task == 1) && (response == 2)) || ((task == 0) && (response == 1)))
	  accum(style+1,task+1) = accum(style+1,task+1)+1;
	  accumTot(task+1) = accumTot(task+1)+1;
	end

       nbHits(style+1,task+1) = nbHits(style+1,task+1)+1;
       nbHitsTot(task+1) = nbHitsTot(task+1)+1;
    end
    
    fprintf('Compensation:');
    accum(:,1)
    nbHits(:,1)
    accum(:,1)./nbHits(:,1)
    
    fprintf('Prediction:');
    accum(:,2)
    nbHits(:,2)
    accum(:,2)./nbHits(:,2)
    
    fprintf('Compensation totale:');
    accumTot(1)
    nbHitsTot(1)
    accumTot(1)./nbHitsTot(1)
    
    fprintf('Prediction totale:');
    accumTot(2)
    nbHitsTot(2)
    accumTot(2)./nbHitsTot(2)